## konqueror 23.08.0

=== debian/changelog ===
konqueror (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:57:26 +0100

konqueror (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update optional-qtwebengine.diff
  * Update upstream signing key, copied from k3b
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:02 +0100

konqueror (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:51:11 +0100

konqueror (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Refreshed patch optional-qtwebengine.diff
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:10 +0100

konqueror (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:41:08 +0000

konqueror (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:21:36 -0600

konqueror (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Kubuntu Vcs and maintaner fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:17:16 +0000
